Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.router.web
Class ContentHelper

    java.lang.Object
      net.i2p.router.web.HelperBase
          net.i2p.router.web.ContentHelper

    public class ContentHelper

extends HelperBase

Field Summary

Fields inherited from class net.i2p.router.web.HelperBase
`_context, _out`

Constructor Summary
`ContentHelper()`

Method Summary
`String` | `getContent()`
`String` | `getTextContent()`
`void` | `setLang(String l)`
`void` | `setMaxLines(String lines)`
`void` | `setPage(String page)` Caution, use absolute paths only, do not assume files are in CWD
`void` | `setStartAtBeginning(String moo)`

Methods inherited from class net.i2p.router.web.HelperBase
`_, _, _, _, _x, setContextId, setWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContentHelper

    public ContentHelper()

Method Detail

### setPage

    public void setPage(String page)

  Caution, use absolute paths only, do not assume files are in CWD

### setStartAtBeginning

    public void setStartAtBeginning(String moo)

### setLang

    public void setLang(String l)

### setMaxLines

    public void setMaxLines(String lines)

### getContent

    public String getContent()

### getTextContent

    public String getTextContent()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD